using Nerfed.Runtime;

namespace Nerfed.Editor;

internal class Program
{
    private static void Main(string[] args)
    {
        Engine.OnInitialize += HandleOnInitialize;
        Engine.OnUpdate += HandleOnUpdate;
        Engine.OnRender += HandleOnRender;
        Engine.OnQuit += HandleOnQuit;

        Engine.Run(args);
    }

    private static void HandleOnInitialize()
    {
        // Open project.
        // Setip EditorGui.
        EditorGui.Initialize();
    }

    private static void HandleOnUpdate()
    {
        // Editor Update.
        EditorGui.Update();


        // Try Catch UserCode Update.
    }

    private static void HandleOnRender()
    {
        EditorGui.Render();
    }

    private static void HandleOnQuit()
    {
        EditorGui.Quit();
    }
}